from setuptools import setup

requirements = [
    "arrow==1.2.2",
    "binaryornot==0.4.4",
    "category-encoders==2.4.0",
    "chardet==4.0.0",
    "charset-normalizer==2.0.12",
    "click==8.1.3",
    "cookiecutter==1.7.3",
    "guizero==1.3.0",
    "idna==3.3",
    "jinja2==3.1.2",
    "jinja2-time==0.2.0",
    "joblib==1.1.0",
    "lxml==4.8.0",
    "markupsafe==2.1.1",
    "matplotlib-inline==0.1.3",
    "natsort==8.1.0",
    "numpy==1.22.3",
    "opencv-python==4.5.5.64",
    "patsy==0.5.2",
    "poyo==0.5.0",
    "prompt-toolkit==3.0.29",
    "pygments==2.12.0",
    "python-slugify==6.1.2",
    "requests==2.27.1",
    "scikit-learn==1.0.2",
    "statsmodels==0.13.2",
    "text-unidecode==1.3",
    "threadpoolctl==3.1.0",
    "torch==1.11.0",
    "torchaudio==0.11.0",
    "torchvision==0.12.0",
    "typing-extensions==4.2.0",
    "urllib3==1.26.9",
    "seaborn",
    "scipy",
    "guizero",
    "pandas==1.4.2",
    "ipython==8.2.0",
    "tqdm==4.64.0",
    "six==1.16.0",
]

setup(
    name='photobox',
    version='0.0.3',
    description="A guizero application to image insect sticky plates",
    author="Ioannis Kalfas",
    author_email='kalfasyan@gmail.com',
    url='https://github.com/kalfasyan/photobox',
    packages=['photobox', 'photobox.icons',
              'photobox.tests'],
    package_data={'photobox.icons': ['*.png']},
    entry_points={
        'console_scripts': [
            'PhotoBox=photobox.photobox_app:main'
        ]
    },
    install_requires=requirements,
    zip_safe=False,
    keywords='photobox',
    classifiers=[
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
    ],
)
